# -*- coding: utf-8 -*-
import os
import imp
import subprocess
import logging


class FilesManager(object):
    """
        | Working with file system
        | for checking tasks dependencies
        | and finding tasks
    """
    log = logging.getLogger("pake.runner.FilesManager")

    def check_dependencies(self, task):
        """
            | Checking for existsing tasks_dependencies.py file.
            | If exists - exec file
        """
        if os.path.exists("tasks_dependencies.py"):
            self.log.info("$ python tasks_dependencies.py {}".format(task))
            subprocess.check_output(["python", "tasks_dependencies.py", task])

    def search_tasks(self):
        """
            | Find tasks and import it with imp module
            | Then called decorators
        """
        if os.path.exists("tasks.py"):
            imp.load_source("", "tasks.py")

        if os.path.exists("tasks") and os.path.isdir("tasks"):
            modules = sorted(subprocess.check_output(["find", "./tasks", "-name", "*.py"]).split())
            [imp.load_source("", m) for m in modules]
